Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class CollectionKey

    java.lang.Object
      org.hibernate.metamodel.binding.CollectionKey

    public class CollectionKey

extends Object

TODO : javadoc

Constructor Summary
`CollectionKey(AbstractPluralAttributeBinding pluralAttributeBinding)`

Method Summary
`ForeignKey` | `getForeignKey()`
`AbstractPluralAttributeBinding` | `getPluralAttributeBinding()`
`void` | `prepareForeignKey(String foreignKeyName, String targetTableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionKey

    public CollectionKey(AbstractPluralAttributeBinding pluralAttributeBinding)

Method Detail

### getPluralAttributeBinding

    public AbstractPluralAttributeBinding getPluralAttributeBinding()

### prepareForeignKey

    public void prepareForeignKey(String foreignKeyName,
                                  String targetTableName)

### getForeignKey

    public ForeignKey getForeignKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.